module Austin
  class Austin
    
    attr_accessor :game
    
    # You may initialize you player but the the initialize method must take NO paramters.
    # The player will only be instantiated once, and will play many games.
    def initialize
    end

    # Before starting a game, this method will be called to inform the player of all the possible words that may be played.
    def word_list=(list)
      Hangman.word_list = list
    end

    # a new game has started.  The number of guesses the player has left is passed in (default 6),
    # in case you want to keep track of it.
    def new_game(guesses_left)
      self.game = Hangman.new(self, guesses_left)
    end

    # Each turn your player must make a guess.  The word will be a bunch of underscores, one for each letter in the word. After your first turn, correct guesses will appear in the word parameter.  If the word was "shoes" and you guessed "s", the word parameter would be "s___s", if you then guess 'o', the next turn it would be "s_o_s", and so on. guesses_left is how many guesses you have left before your player is hung.
    def guess(word, guesses_left)
      # game.guesses_left = guesses_left
      # letter = game.letters_left[rand(game.letters_left.size)]
      # game.letters_left.delete(letter)
      'a'
    end
    
    # notifies you that your last guess was incorrect, and passes your guess back to the method
    def incorrect_guess(guess)
    end

    # notifies you that your last guess was correct, and passes your guess back to the method
    def correct_guess(guess)
    end

    # you lost the game.  The reason is in the reason parameter
    def fail(reason)
    end

    # The result of the game, it'll be one of 'win', 'loss', or 'fail'.
    # The spelled out word will be provided regardless of the result.
    def game_result(result, word)
    end
  end
end