require File.expand_path(File.dirname(__FILE__) + "/../spec_helper")
require 'austin/hangman'

describe Austin::Hangman do
  
  before do
    @me = Austin::Austin.new
  end
  
  it "should instantiate" do
    lambda { Austin::Hangman.new(@me, 6) }.should_not raise_error
  end
  
  describe "after instantiating" do
    before do
      @hm = Austin::Hangman.new(@me, 6)
    end
    
    it "should know the player, letters left and guesses left" do
      @hm.player.should == @me
      @hm.letters_left.should == ('a'..'z').to_a
      @hm.guesses_left.should == 6
    end
  end

end